CC = gcc
NAME = wrs_smb

CFLAGS = -I ../../smartlib/include
LDFLAGS = -L ../../smartlib/lib
LIB = ../../smartlib/lib/libetsmb.so
OBJ = wrs_smb.o smartbits.o tests_body.o switch_config.o

all: $(OBJ)
	$(CC) $(LDFLAGS) -o $(NAME) $^ $(LIB)

%.o : %.c
	$(CC) -c $(CFLAGS) $^

clean:
	rm -rf *.o wrs_smb
